<div id="orders" class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header white-fg"
             fxLayout="column" fxLayoutAlign="center center"
             fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

            <!-- APP TITLE -->
            <div class="logo"
                 fxLayout="row" 
                 fxLayoutAlign="start center">
                <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Ofertas</span>
            </div>
            <!-- / APP TITLE -->

            <!-- SEARCH -->
            <div class="search-input-wrapper ml-8 m-sm-0" fxFlex="20" fxLayout="row" fxLayoutAlign="start center">
                <label for="search" class="mr-8">
                    <mat-icon class="secondary-text">search</mat-icon>
                </label>
                <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                    <input id="search" matInput (keyup)='searchOnChange($event)' placeholder="Pesquisar">
                </mat-form-field>
            </div>
            <!-- / SEARCH -->

            <!-- BRAND -->
            <div class="ml-8 m-sm-0" fxFlex="50" fxLayout="row" fxLayoutAlign="start center">

                  
                  
                   <form [formGroup]="selectForm" novalidate
                       fxFlex="100" fxLayoutAlign="start center" fxLayoutGap="10px">
                        <mat-form-field fxFlex="50">
                            <mat-select placeholder="Marca" formControlName="brand" (selectionChange)="onListValueChanged()">
                                <mat-option [value]="0">Todos</mat-option>
                                <mat-option *ngFor="let item of brandsList" [value]="item.id">
                                    {{ item.name }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field> 
                        <mat-form-field fxFlex="50">
                            <mat-select placeholder="Segmento" formControlName="segment" (selectionChange)="onListValueChanged()">
                                <mat-option [value]="">Todos</mat-option>
                                <mat-option *ngFor="let item of segmentList" [value]="item.id">
                                    {{ item.name }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                        <mat-form-field fxFlex="50">
                                <mat-select placeholder="Modelo" formControlName="agreement" (selectionChange)="onListValueChanged()">
                                    <mat-option [value]="">Todos</mat-option>
                                    <mat-option *ngFor="let item of agreementList" [value]="item.id">
                                        {{ item.name }}
                                    </mat-option>
                                </mat-select>
                        </mat-form-field> 
                   </form>
               </div>
                <!-- <mat-form-field fxFlex="1 0 auto">
                    <div fxFlex="50">
                        
                    </div>
                    <div fxFlex="50">
                        
                    </div>
                    <div fxFlex="50">
                        
                </div>
                </mat-form-field>  -->
            <!-- </div> -->
            <!-- / BRAND -->

        
            <button mat-raised-button
                color="primary"
                class="my-12 mt-sm-0"
                (click)="newOffer()">
                <span>NOVA OFERTA</span>
            </button>
        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg" fusePerfectScrollbar>

            <!-- BOARD LIST -->
            <div class="board-list" fxFlex="0 0 auto" fxLayout="row wrap" fxLayoutAlign="center center" *fuseIfOnDom
            [@animateStagger]="{value:'50'}">

            <!-- BOARD -->
            <div class="board-list-item" *ngFor="let offer of offers"
            (click)="edit(offer)"
                fxLayout="column" fxLayoutAlign="center center"
                [@animate]="{value:'*',params:{y:'100%'}}">

                <div fxLayout="row" fxLayoutAlign="space-between center">
                    <!-- SEGMENT ICON -->
                    <mat-icon *ngIf="offer.segment == 'CUSTOMERS'" class="s-32" title="Oferta para Cliente">person</mat-icon>
                    <mat-icon *ngIf="offer.segment == 'BUSINESS'" class="s-32" title="Oferta para Empresas de Rastreamento">business</mat-icon>
                    <!-- // SEGMENT ICON -->

                    <!-- AGREEMENT ICON -->
                    <mat-icon *ngIf="offer.agreement == 'LEASE'" class="s-32" title="Venda em Comodato">list_alt</mat-icon>
                    <mat-icon *ngIf="offer.agreement == 'SALE'" class="s-32" title="Venda">shopping_cart</mat-icon>
                    <mat-icon *ngIf="offer.agreement == 'FREE'" class="s-32" title="Venda sem Cobrança">money_off</mat-icon>
                    <mat-icon *ngIf="offer.agreement == 'RENT'" class="s-32" title="Venda sem Cobrança">shopping_basket</mat-icon>
                    <!-- // AGREEMENT ICON -->
                </div>

            
            <div class="board-name">{{offer.name}}</div>
            <div class="board-brand">{{brandName(offer.brand)}}</div>
            </div>
            <!-- / BOARD -->

            </div>
            <!-- / BOARD LIST -->

            <mat-paginator 
                [length]="resultLength" 
                [pageSize]="pageSize" 
                [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->
</div>



<!-- BOARDS -->
<div id="boards" class="mat-primary-400-bg" fxLayout="column" fxLayoutAlign="start center" fxFlex fusePerfectScrollbar>

    <div class="header pt-44 pt-mat-88" 
        fxFlex="0 0 auto" 
        fxLayout="column"
        fxLayoutAlign="center center"
        *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms'}}">
        <h1>Ofertas</h1>
    </div>

    
</div>
<!-- / BOARDS -->
